Method: networks.companies.batchCreate

Creates Company objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/companies:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where [Companies][] will be created. Format: networks/{networkCode} The parent field in the CreateCompanyRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateCompanyRequest)
    }
  ]
}
Fields
requests[]

object (CreateCompanyRequest)

Required. The Company objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for [companies.batchCreate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "companies": [
    {
      object (Company)
    }
  ]
}
Fields
companies[]

object (Company)

The Company objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateCompanyRequest

Request object for [companies.create][] method.

JSON representation
{
  "parent": string,
  "company": {
    object (Company)
  }
}
Fields
parent

string

Required. The parent resource where this Company will be created. Format: networks/{networkCode}

company

object (Company)

Required. The Company to create.